Description

Normalize species of records (both stocks and fisheries) before submitting them in GRSF VREs. Normalization will occur based on

the following guidelines:

code: all in capital letters (e.g. BLU)

coding system: all in capital letters (e.g. ASFIS)

scientific name: the first letter of the genus in capital and all the others in lower case (e.g. Pomatomus saltatrix).

In addition, remove any trailing or leading whitespace characters from any of the above.

Resolving this will solve issues like the one mentioned in #18070

History

#1 - Dec 12, 2019 02:48 PM - Yannis Marketakis

- Status changed from New to Closed

- % Done changed from 0 to 100

Implemented the normalization against Species. 

As a side effect, several GRSF Stock records have been updated in GRSF Admin and GRSF VREs.

#2 - Dec 15, 2019 05:14 PM - Aureliano Gentile

Thanks a lot.

In https://i-marine.d4science.org/web/grsf/data-catalogue , however, I still find double tags for "Pomatomus saltatrix" and "pomatomus saltatrix".

Are any updates needed at catalogue level?

#3 - Dec 16, 2019 10:33 AM - Yannis Marketakis

- Status changed from Closed to In Progress

- % Done changed from 100 to 90

Thanks for spotting. It seems that fishery records weren't updated properly in the catalog. Will do it now.

#4 - Dec 16, 2019 03:36 PM - Yannis Marketakis

- Status changed from In Progress to Feedback

I've updated the Fishery records in both VREs.

@aureliano.gentile@fao.org could you please check? 

#5 - Dec 16, 2019 06:55 PM - Aureliano Gentile

- File GRSF_KW_pomatomus_saltatrix.jpg added

Thanks again, I made a few checks and now all scientific names tags seem fine.

For example the tag "Code BLU Classification System ASFIS Scientific Name Pomatomus saltatrix" now retrieves all of the 3 available records.

But one of them  http://data.d4science.org/ctlg/GRSF/ff297333-fd3b-3835-bf83-096dbb6ab046 is with lower case GRSF and local names. But I guess

that is another ticket ;-) (and less problematic at the moment)

#6 - Dec 17, 2019 03:25 PM - Yannis Marketakis
- Status changed from Feedback to In Progress

- % Done changed from 90 to 50

Unfortunately, the resolution for this one is more complex.

However, we'll proceed in fixing them. I propose to use this ticket as reference (so not creating a new one)
